[ 
https://issues.apache.org/jira/browse/NIFI-2899?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=15573554#comment-15573554
 ] 

ASF GitHub Bot commented on NIFI-2899:
--------------------------------------

GitHub user simplesteph opened a pull request:

    https://github.com/apache/nifi/pull/1135

    [NIFI-2899] Updated swagger-maven-plugin to 3.0.1

    Incorporates the fix from 
https://github.com/kongchen/swagger-maven-plugin/issues/141 
    Ensures the new swagger.json is spec 2.0 compliant, see 
https://github.com/swagger-api/swagger-codegen/issues/3976

You can merge this pull request into a Git repository by running:

    $ git pull https://github.com/simplesteph/nifi master

Alternatively you can review and apply these changes as the patch at:

    https://github.com/apache/nifi/pull/1135.patch

To close this pull request, make a commit to your master/trunk branch
with (at least) the following in the commit message:

    This closes #1135
    
----
commit 106d2d3ac503e95adc3e14def31318b24f671917
Author: Stephane Maarek <simplest...@users.noreply.github.com>
Date:   2016-10-13T23:39:57Z

    NIFI-2899 Updated swagger-maven-plugin to 3.0.1
    
    Incorporates the fix from 
https://github.com/kongchen/swagger-maven-plugin/issues/141 
    Ensures the new swagger.json is spec 2.0 compliant, see 
https://github.com/swagger-api/swagger-codegen/issues/3976

----


> Update swagger-maven-plugin to 3.0.1 to have a spec-compliant swagger.json
> --------------------------------------------------------------------------
>
>                 Key: NIFI-2899
>                 URL: https://issues.apache.org/jira/browse/NIFI-2899
>             Project: Apache NiFi
>          Issue Type: Bug
>          Components: Documentation & Website
>    Affects Versions: 1.0.0
>            Reporter: Stephane Maarek
>
> I tried using swagger-codegen with the generated swagger.json but it gave me 
> errors.
> I opened a bug report on their project at 
> https://github.com/swagger-api/swagger-codegen/issues/3976, and after 
> investigation, our current swagger-maven-plugin produces a swagger.json file 
> with "type" : "ref" in it. This is non compliant with the specs, and a fix 
> was introduced in https://github.com/kongchen/swagger-maven-plugin/issues/141 
> Therefore, we need to upgrade the swagger-maven-plugin from 3.0-M1 to 3.0.1. 
> I tested it and it works now with the swagger-codegen plugin. Happy to submit 
> a PR, let me know your thoughts



--
This message was sent by Atlassian JIRA
(v6.3.4#6332)

Reply via email to